import {get,post} from './http';


/**
 * 研究员列表
 * @param {*} params 
 * @returns 
 */
export const researcherList = params=>{
	return get('/roadshow/researcher/list',params)
}

/**
 * 路演销售员列表
 */
export const sellerList = params=>{
	return get('/custom/seller/roadshow_ficc/list',params)
}

/**
 * 研究员日历日程 StartDate  EndDate ResearcherId
 */
export const researchEvents = params => {
	return get('/roadshow/researcher/calendar/detail', params)
}

/**
 * 销售员日历日程 StartDate  EndDate SellerId
 */
 export const sellerEvents = params => {
	return get('/roadshow/seller/calendar/detail', params)
}

/**
 * 我的日历日程 StartDate  EndDate
 */
export const myEvents = params => {
	return get('/roadshow/my/calendar/detail', params)
}

/**
 * 获取系统中所有用户
 */
export const apiSystemUsers=()=>{
	return get('/system/role/seller/list',{})
}

/**
 * 出差审批的日历
 */
export const apiBusinessTripCalendar=params=>{
	return get('/business_trip/calendar',params)
}